Bug 33844 - Linux kernel for UCS 4.0
Linux kernel for UCS 4.0
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Kernel
UCS 3.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Stefan Gohmann
: interim-2
Depends on: 35370
Blocks: 35406 35670 35681
  Show dependency treegraph
 
Reported: 2014-01-06 09:33 CET by Moritz Muehlenhoff
Modified: 2018-03-01 12:15 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Release Goal
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-01-06 09:33:39 CET
The Linux kernel will be skipped during the import of Wheezy (the kernel in 3.2 is already more recent than in Wheezy).

For 4.0 the kernel build needs to be modified so that the kernel modules for d-i are built from the "linux" source package (this is currently disabled in the kernel build)
Comment 1 Moritz Muehlenhoff univentionstaff 2014-01-17 09:49:02 CET
aufs-tools was skipped during the import of Wheezy; it performs a runtime check comparing the userspace aufs version with the kernel version. This fails since the aufs-tools version in Wheezy is for Linux 3.2 and we already use 3.10.

I've removed aufs-tools for now, once the kernel for Wheezy is decided, a current versions needs to be fetched from jessie.
Comment 2 Moritz Muehlenhoff univentionstaff 2014-01-20 09:26:18 CET
debian-installer-netboot-images was skipped during the import of Debian Wheezy. It needs to be reimported/updated based on the kernel for UCS 4.0
Comment 3 Moritz Muehlenhoff univentionstaff 2014-01-21 11:20:03 CET
firmware-free was skipped during the import of Debian Wheezy. It needs to be reimported/updated based on the kernel for UCS 4.0
Comment 4 Moritz Muehlenhoff univentionstaff 2014-02-24 12:01:06 CET
I've removed ocfs2-tools for now, once the kernel for Wheezy is decided, a current versions needs to be fetched from jessie.
Comment 5 Philipp Hahn univentionstaff 2014-07-16 08:14:29 CEST
Please keep an eye on initramfs-tools, as we need at least 0.110 for 3.10 kernels already (Bug #35370)
Comment 6 Stefan Gohmann univentionstaff 2014-08-20 09:04:57 CEST
3.16 is available in experimental and should be imported.
Comment 7 Stefan Gohmann univentionstaff 2014-08-20 21:02:15 CEST
(In reply to Stefan Gohmann from comment #6)
> 3.16 is available in experimental and should be imported.

The kernel has been imported and built. The univention-kernel meta packages should also be migrated and adjusted.
Comment 8 Stefan Gohmann univentionstaff 2014-08-21 06:49:20 CEST
(In reply to Stefan Gohmann from comment #7)
> (In reply to Stefan Gohmann from comment #6)
> > 3.16 is available in experimental and should be imported.
> 
> The kernel has been imported and built. The univention-kernel meta packages
> should also be migrated and adjusted.

I move this bug to MS2 to upgrade to a later version for MS2. The patches have to be recheckd especially the PORTME patches.

We have to check and import the other kernel packages such as open-vm-tools.


I've created two new MS1 bugs for the meta package and for the installer:
 Bug #35669 - Migrate univention-kernel-image package to UCS 4
 Bug #35670 - UCS 4 installer should use Kernel 3.16
Comment 9 Stefan Gohmann univentionstaff 2014-08-21 08:37:24 CEST
(In reply to Moritz Muehlenhoff from comment #3)
> firmware-free was skipped during the import of Debian Wheezy. It needs to be
> reimported/updated based on the kernel for UCS 4.0

Once the firmware packages have been imported they should be re-added to the univention-kernel-image* dependency list: See r52882
Comment 10 Stefan Gohmann univentionstaff 2014-09-11 08:19:27 CEST
The kernel should be updated to the latest debian sid kernel: currently 3.16.2-2

I created Bug #35875 for the dkms packages.
Comment 11 Philipp Hahn univentionstaff 2014-09-12 14:22:42 CEST
Currently latest <https://packages.debian.org/sid/firmware-linux-nonfree> has been imported and built for Bug #35406:

Package: firmware-nonfree
Version: 0.43.7.201409121415
Branch: ucs_4.0-0
Comment 12 Philipp Hahn univentionstaff 2014-09-29 17:27:05 CEST
repo_admin.py -U -p linux -r 4.0-0-0 -d jessie # 3.16.3-2

r13752 | Remove old patches
r13756 | Refresh patches
r13757 | Fix patches

Package: linux
Version: 3.16.3-2.82.201409291310
Branch: ucs_4.0-0

r54012 | Bug #33844: Update Linux kernel build
r54025 | Bug #33844 kernel: Re-add firmware packages as recommends

Package: univention-kernel-image
Version: 8.0.2-2.60.201409291712
Branch: ucs_4.0-0

TODO: aufs-tools
TODO: ocfs2-tools
TODO: debian-installer-netboot-images ?
DONE: firmware-free + firmware-nonfree
DONE: initramfs-tools
Comment 13 Philipp Hahn univentionstaff 2014-09-30 14:20:21 CEST
r54043 | Bug #33844: Uce ucs82 kernel build by default

Package: repo-ng
Version: 2.0-82.1326.201409300916
Branch: ucs_3.2-0
Scope: internal

r54056 | Bug #33844 kernel: Remove ipw2x00 & ivtv firmware
 Both require interactive user input to accept the license.

Package: univention-kernel-image
Version: 8.0.2-3.61.201409301327
Branch: ucs_4.0-0

ucs_4.0-0-20140930-135057-dvd-amd64.iso
Comment 14 Stefan Gohmann univentionstaff 2014-10-01 16:27:13 CEST
Please add a changelog entry.
Comment 15 Philipp Hahn univentionstaff 2014-10-01 17:04:54 CEST
(In reply to Stefan Gohmann from comment #14)
> Please add a changelog entry.

r54116 | Bug #33844 Linux kernel update
 The Linux kernel was updated to 3.16.3
Comment 16 Stefan Gohmann univentionstaff 2014-10-06 11:45:51 CEST
OK, the kernel was updated and it is installable and running.

Chagelog OK
Comment 17 Stefan Gohmann univentionstaff 2014-11-26 06:55:51 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".